% --------------------------------------------------------------------
% -                              -
% -                                             -
% -                                                  -
% - ... "           -
% -                                                                  -
% -                                                                  -
% -                        -
% -                                                                  -
% - : "        -
% -          "                          -
% -                                                                  -
% -  : 2014-15                                          -
% -                                                                  -
% -                                                                  -
% --------------------------------------------------------------------
% -                                                                  -
% -  : "FindUltimateGainFreq.m"                          -
% -                                                                  -
% - :        ku       -
% -           (ultimate gain)     pu            -
% -           (ultimate frequency)         -
% -            :                                          -
% -                                     Kp                           -
% -                       Gp(s) =  ------------  e^(td * s)          -
% -                                 tp * s + 1                       -
% -                                                                  -
% --------------------------------------------------------------------
% -                                                                  -
% -     Z-N  T-L                     -
% --------------------------------------------------------------------

% Find Ultimate Gain & Frequency
%
Gp=tf([Kp],[tp 1]);
Gp.InputDelay=td;
[kpid,ku,pu]=znpidtuning(Gp,2)
